Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Class PlumtreeField

    java.lang.Object
      com.plumtree.remote.prc.search.Field
          com.plumtree.remote.prc.search.PlumtreeField

Direct Known Subclasses:
  PortalField

public class PlumtreeField
extends Field

`PlumtreeField` contains fields common to all AquaLogic User Interaction (formerly Plumtree) applications. `PlumtreeField` is not an enumeration as new fields can be created using `forID()`.

Field Summary
`static PlumtreeField` | `CREATED` `PlumtreeField` for Created Date.
`static PlumtreeField` | `DESCRIPTION` `PlumtreeField` for Description, for example the description crawled in with a document.
`static PlumtreeField` | `ICON_URL` `PlumtreeField` for the url to the icon displayed in search.
`static PlumtreeField` | `IS_BEST_BET` `PlumtreeField` for isBestBet (whether or not a search result is a best bet).
`static PlumtreeField` | `LANGUAGE` `PlumtreeField` for object language.
`static PlumtreeField` | `LAST_MODIFIED` `PlumtreeField` for Date Last Modified.
`static PlumtreeField` | `NAME` `PlumtreeField` for object name.
`static PlumtreeField` | `RANK` `PlumtreeField` for search rank.
`static PlumtreeField` | `TEXT_CONTENT` `PlumtreeField` for text content.
`static PlumtreeField` | `TEXT_EXCERPT` `PlumtreeField` for text excerpt.
`static PlumtreeField` | `URL` `PlumtreeField` for Click Through URL.

Methods inherited from class com.plumtree.remote.prc.search.Field
`equals, getActualName, hashCode, isRetrievable`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final PlumtreeField NAME

  `PlumtreeField` for object name.

### LANGUAGE

    public static final PlumtreeField LANGUAGE

  `PlumtreeField` for object language.

### CREATED

    public static final PlumtreeField CREATED

  `PlumtreeField` for Created Date.

### LAST_MODIFIED

    public static final PlumtreeField LAST_MODIFIED

  `PlumtreeField` for Date Last Modified.

### URL

    public static final PlumtreeField URL

  `PlumtreeField` for Click Through URL.

### TEXT_EXCERPT

    public static final PlumtreeField TEXT_EXCERPT

  `PlumtreeField` for text excerpt. Text excerpt can be the description, summary, or keyword-in-context. Used only in documents with text content.

### TEXT_CONTENT

    public static final PlumtreeField TEXT_CONTENT

  `PlumtreeField` for text content. Used only in documents with text content.

### ICON_URL

    public static final PlumtreeField ICON_URL

  `PlumtreeField` for the url to the icon displayed in search.

### RANK

    public static final PlumtreeField RANK

  `PlumtreeField` for search rank.

### DESCRIPTION

    public static final PlumtreeField DESCRIPTION

  `PlumtreeField` for Description, for example the description crawled in with a document.

### IS_BEST_BET

    public static final PlumtreeField IS_BEST_BET

  `PlumtreeField` for isBestBet (whether or not a search result is a best bet). Should be used in conjunction with `IPortalSearchRequest.setUseBestBets()`. If `setUseBestBets()` is not set to true, this will always return `false`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.